from sqlalchemy import String, Column, Integer, DateTime

from app.modle import Base


class Menus(Base):
    """菜单"""
    __tablename__ = 'menus'

    id = Column(Integer, primary_key=True, autoincrement=True, nullable=False, unique=True, doc='id')
    name = Column(String, nullable=True, unique=False, index=False)
    parent_id = Column(Integer, nullable=True, unique=False, index=False)
    order_num = Column(Integer, nullable=True, unique=False, index=False)
    path = Column(String, nullable=True, unique=False, index=False)
    router = Column(String, nullable=True, unique=False, index=False)
    query = Column(String, nullable=True, unique=False, index=False)
    is_frame = Column(Integer, nullable=True, unique=False, index=False)
    is_cache = Column(Integer, nullable=True, unique=False, index=False)
    menu_type = Column(String, nullable=True, unique=False, index=False)
    visible = Column(String, nullable=True, unique=False, index=False)
    status = Column(String, nullable=True, unique=False, index=False)
    perms = Column(String, nullable=True, unique=False, index=False)
    icon = Column(String, nullable=True, unique=False, index=False)
    create_by = Column(String, nullable=True, unique=False, index=False)
    create_time = Column(DateTime, nullable=True, unique=False, index=False)
    update_by = Column(String, nullable=True, unique=False, index=False)
    update_time = Column(DateTime, nullable=True, unique=False, index=False)
    remark = Column(String, nullable=True, unique=False, index=False)
